Archived:NI CompactRIO 9004 Is Not Detected in NI MAX After Upgrading Software

Updated Jan 4, 2019

National Instruments does not actively maintain this document.

This content provides support for older products and technology, so you may notice outdated links or obsolete information about operating systems or other relevant products.

Reported In

Hardware

  • cRIO-9004

Other

  • LabVIEW 2017
  • CompactRIO 2017

Issue Details

I was using the NI cRIO 9004 with LabVIEW 2012 and compatible NI RIO version without any issues. After upgrading my LabVIEW and compatible NI RIO (compactRIO) driver to 2017 version my cRIO 9004 was not recognized by the NI MAX software. How to resolve this issue?

Solution

The NI CompactRIO Device Drivers May 2017 no longer supports the NI cRIO 9004. You should downgrade the NI LabVIEW and NI RIO device driver. The supported Device Driver Software versions are NI-RIO 1.1.1 - NI CompactRIO Device Drivers August 2016. Ensure you are using Compatible LabVIEW and NI-RIO Versions.

Additional Information

NI CompactRIO Device Drivers May 2017 no longer supports the following devices:
  •     cRIO-9002
  •     cRIO-9004
  •     cRIO-9072

WAS THIS ARTICLE HELPFUL?

Not Helpful